# Transferability of Compositionality

### Dependencies
```buildoutcfg
pip install -r requirements.txt
```

### Experiments
```buildoutcfg
# Repeat for A, B, C, D, E

# Overlapping digits
sh experiments/overlap_baseline/overlap_baseline_A.sh
sh experiments/overlap_no_entropy/overlap_no_entropy_A.sh
sh experiments/overlap_no_reconstruction/overlap_no_reconstruction_A.sh
sh experiments/overlap_no_manifold/overlap_no_manifold_A.sh
sh experiments/overlap_proposed/overlap_proposed_A.sh

# Compound words
sh experiments/compound_baseline/compound_baseline_A.sh
sh experiments/compound_no_entropy/compound_no_entropy_A.sh
sh experiments/compound_no_reconstruction/compound_no_reconstruction_A.sh
sh experiments/compound_no_manifold/compound_no_manifold_A.sh
sh experiments/compound_proposed/compound_proposed_A.sh

# Colored digits
sh experiments/color_baseline/color_baseline_A.sh
sh experiments/color_no_entropy/color_no_entropy_A.sh
sh experiments/color_no_reconstruction/color_no_reconstruction_A.sh
sh experiments/color_no_manifold/color_no_manifold_A.sh
sh experiments/color_proposed/color_proposed_A.sh
```

### Discussions
```buildoutcfg
# Visualize distribution
sh visualize.sh

# Transfer error rate
python plot_results.py
```
